/* $Id$

This file is part of gldbg
Copyright © 2009  Mikko Rasa, Mikkosoft Productions
Distributed under the GPL
*/

#ifndef GLDBG_H_
#define GLDBG_H_

#include <string>
#include <vector>
#include <msp/core/application.h>
#include <msp/fs/path.h>
#include "gldecoder.h"

class GlDbg: public Msp::Application
{
private:
	Msp::FS::Path libdir;
	int pid;
	std::vector<std::string> args;
	int sock_fd;
	std::string buffer;
	unsigned buf_offset;
	GlDecoder *glprint;

	static RegApp<GlDbg> reg;

public:
	GlDbg(int, char **);
	int main();
private:
	void tick();
	void launch();
};

#endif
